org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class FinishPreloadingTask

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.FinishPreloadingTask

All Implemented Interfaces:
  CachePartitionExchangeWorkerTask

    public class FinishPreloadingTask
    extends Object
    implements CachePartitionExchangeWorkerTask

A task for finishing preloading future in exchange worker thread.

### Constructor Summary

Constructors
Constructor and Description
`FinishPreloadingTask(AffinityTopologyVersion topVer, int grpId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `groupId()`
`boolean` `skipForExchangeMerge()`
`AffinityTopologyVersion` `topologyVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FinishPreloadingTask

    public FinishPreloadingTask(AffinityTopologyVersion topVer,
                                int grpId)

Parameters:
  `topVer` - Topology version.

### Method Detail

#### skipForExchangeMerge

    public boolean skipForExchangeMerge()

Specified by:
  `skipForExchangeMerge` in interface `CachePartitionExchangeWorkerTask`
Returns:
  `False` if exchange merge should stop if this task is found in exchange worker queue.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Topology version.

#### groupId

    public int groupId()

Returns:
  Group id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021